import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, e, s, o) => {
  for (var r = o > 1 ? void 0 : o ? m(e, s) : e, c = p.length - 1, i; c >= 0; c--)
    (i = p[c]) && (r = (o ? i(e, s, r) : i(r)) || r);
  return o && r && f(e, s, r), r;
};
let t = class extends w {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowDownCircle", this.class = "c-pieIcon c-pieIcon--arrowDownCircle", this.name = "IconArrowDownCircle";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowDownCircle"><path d="M7.344 1.577v7.167L5.445 6.845l-.945.928 2.713 2.712a1.084 1.084 0 0 0 1.54 0L11.5 7.773l-.945-.928-1.899 1.899V1.577H7.344Z"></path><path d="M9.969 1.315V2.75a5.46 5.46 0 1 1-3.938 0V1.315a6.781 6.781 0 1 0 3.938 0Z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], t.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = n([
  h("icon-arrow-down-circle")
], t);
export {
  t as IconArrowDownCircle
};
